EDIT - task #8908

Clean up descriptive dataset data for Cactaceae
03/26/2020 11:48 AM - Andreas Mdller

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: data Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

Thinks to do:

e run key creation

Maybe also:

e remove DnaSamples from taxon descriptions

split ABCD import descriptions from default descriptions

remove determinations from DnaSamples if higher level determination exists
fix unlabeled field units

clean up additivity_ontology DB

Helpful SQLs:

SELECT
—-— deb.id
db.DTYPE, db.types, db.id dbId, deb.DTYPE, deb.id, f.titleCache feature, sd.id sdId, smv.id smvId,
smv.value smValue,
-— mu.titleCache unit, deb.unit_id,
sob.id sobId, sob.titleCache specimen, f.id featureld,
deb.*
FROM DescriptionElementBase deb

INNER JOIN DescriptionBase db ON db.id = deb.indescription_id

LEFT JOIN SpecimenOrObservationBase sob ON sob.id = db.specimen_id

LEFT JOIN DefinedTermBase f ON f.id = deb.feature_id

LEFT JOIN StatisticalMeasurementValue smv ON smv.quantitativedata_id = deb.id

LEFT JOIN StateData sd ON sd.categoricaldata_id = deb.id

LEFT OUTER JOIN DefinedTermBase_MeasurementUnit MN ON MN.feature_id = f.id

LEFT OUTER JOIN DefinedTermBase mu ON mu.id = MN.recommendedmeasurementunits_id

WHERE (deb.DTYPE = 'CategoricalData' OR deb.DTYPE = 'QuantitativeData') AND db.types LIKE
' SH#CLO#S!
= AND db.DTYPE = 'SpecimenDescription'

—— AND sd.id IS NULL AND smv.id IS NULL
ORDER BY sob.id, db.id, mu.id, £f.id

SELECT *
FROM DescriptionElementBase
WHERE id IN (xx)

SELECT osb.id sourcelId, link.id linkId, link.description_id linkedDescription, db.id dbId, db.
titleCache, db.DTYPE, db.taxon_id,
tn.titleCache, osb.*
FROM CdmLink link
INNER JOIN OriginalSourceBase osb ON osb.cdmSource_id = link.id
INNER JOIN DescriptionBase_OriginalSourceBase MN ON MN.sources_id = osb.id
INNER JOIN DescriptionBase db ON db.id = MN.DescriptionBase_id
INNER JOIN TaxonBase tb ON tb.id = db.taxon_id
INNER JOIN TaxonName tn ON tn.id = tb.name_id

WHERE link.description_id IS NOT NULL

ORDER BY tb.titleCache, db.taxon_id, db.id

DELETE

FROM DescriptiveDataSet_DescriptionBase

—— INNER JOIN DescriptionBase db ON db.id = MN.descriptions_id

WHERE descriptions_id IN (SELECT id FROM DescriptionBase db WHERE db.types LIKE '$#CLO#%')

UPDATE DescriptionBase

SET titleCache = Replace(titleCache, ' Neues Descriptive Data Set:',

' Korotkova Cactaceae Morphology:"')

WHERE DTYPE LIKE 'Specimen%' AND id IN (SELECT MN.descriptions_id FROM
DescriptiveDataSet_DescriptionBase MN) ;

History

#1 - 03/26/2020 11:49 AM - Andreas Miiller

- Description updated

#2 - 03/26/2020 11:59 AM - Andreas Miiller

- Description updated

#3 - 03/26/2020 04:26 PM - Andreas Miuller

- Description updated

#4 - 03/26/2020 04:28 PM - Andreas Miuller

- Description updated

#5 - 03/27/2020 10:37 AM - Andreas Miiller

- Description updated

#6 - 04/08/2020 03:41 PM - Andreas Miller

- Target version changed from Release 5.14 to Release 5.15

#7 - 06/23/2020 01:45 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#8 - 12/03/2020 05:57 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.19

#9 - 01/27/2021 03:44 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#10 - 03/10/2021 02:35 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#11 - 04/16/2021 09:56 PM - Andreas Miiller

- Target version changed from Release 5.22 to Release 5.46
